#!/bin/bash

set -e
set -o pipefail
chkconfig  --level 35 crond on
/sbin/service crond restart
/sbin/service rsyslog start
mkdir -p /var/spool/cron/root
cd /var/spool/cron && chmod -R 600 root
mkdir -p /data/wapage/log/misc
rm -f /app/wapage/miscSearch/start.sh
mv start.sh /app/wapage/miscSearch/
chown wapage.wapage /data/wapage -R
chown wapage.wapage /app/wapage -R
chmod +x /app/wapage/miscSearch/start.sh
echo 'export JAVA_HOME=/usr/java/jdk1.6.0_21' >> /etc/profile
echo 'export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH' >> /etc/profile
echo 'export CLASSPATH=$CLASSPATH:$JAVA_HOME/lib:$JAVA_HOME/jre/lib' >> /etc/profile

source /etc/profile

exec "$@"